> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get brand workflow run

> Full diagnostic detail for one run. workflow_id may be the Temporal workflow id or the execution-record UUID.

### Path parameters

<ParamField path="brand_id" type="string (uuid)" required />

<ParamField path="workflow_id" type="string (string)" required />

### Response

`object`

<ResponseField name="id" type="string (uuid)" required />

<ResponseField name="brand_id" type="string (uuid)" required />

<ResponseField name="workflow_type" type="string" required />

<ResponseField name="workflow_id" type="string" />

<ResponseField name="external_id" type="string" />

<ResponseField name="status" type="string" required />

<ResponseField name="current_phase" type="string" />

<ResponseField name="routing_mode" type="string" />

<ResponseField name="duration_ms" type="integer" />

<ResponseField name="started_at" type="string (date-time)" required />

<ResponseField name="completed_at" type="string (date-time)" />

<ResponseField name="tags" type="string[]" required>
  Carries `skip_reason:&lt;rule>` when the run was skipped
</ResponseField>

<ResponseField name="escalation_categories" type="string[]" required />

<ResponseField name="function_calls_executed" type="integer" required />

<ResponseField name="response_id" type="string" />

<ResponseField name="review_timed_out" type="boolean" required />

<ResponseField name="cancelled" type="boolean" required />

### Status codes

| Code  | Meaning                                                                                                         |
| ----- | --------------------------------------------------------------------------------------------------------------- |
| `200` | Full diagnostic detail for one run. `workflow_id` may be the Temporal workflow id or the execution-record UUID. |
| `400` | Validation error                                                                                                |
| `401` | Unauthorized                                                                                                    |
| `404` | Not found                                                                                                       |
| `429` | Rate limited                                                                                                    |
| `500` | Internal error                                                                                                  |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.workstream.stateset.com/v1/brands/{brand_id}/workflows/{workflow_id}' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "workflow_type": "string",
    "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "status": "pending",
    "current_phase": "string",
    "routing_mode": "string",
    "duration_ms": 8,
    "started_at": "2026-08-31T14:22:05Z",
    "completed_at": "2026-08-31T14:22:05Z",
    "tags": [
      "priority"
    ],
    "escalation_categories": [
      "string"
    ],
    "function_calls_executed": 1,
    "response_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "review_timed_out": true,
    "cancelled": false
  }
  ```
</ResponseExample>
